Remove Automation Revision Agent
curl --request DELETE \
--url https://api.duvo.ai/v2/automations/{automation_id}/revisions/{revision_id}/agents/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/automations/{automation_id}/revisions/{revision_id}/agents/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/automations/{automation_id}/revisions/{revision_id}/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision_number": 0,
"status": "draft",
"base_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"is_live": true,
"is_stale_base": true,
"agent_count": 0,
"queue_count": 0,
"trigger_count": 0,
"modified_agent_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"changes": [
{
"entity_kind": "agent",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"change_kind": "added",
"name": "<string>",
"integration_slug": "<string>",
"changed_fields": [
"build"
]
}
],
"created_at": "<string>",
"updated_at": "<string>",
"ai_description": "<string>",
"ai_summary": "<string>",
"overview_generated_at": "<string>",
"agents": [
{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"queues": [
{
"case_queue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"name": "<string>",
"description": "<string>"
}
],
"triggers": [
{
"automation_trigger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_slug": "<string>",
"trigger_type": "<string>",
"enabled": true,
"filter_config": {}
}
],
"schedules": [
{
"automation_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"cron": "<string>",
"frequency": "hourly",
"time": "<string>",
"timezone": "<string>",
"day": "monday",
"day_of_month": 16,
"task": "<string>"
}
]
},
"unrouted_queue_count": 4503599627370495
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Automations
Remove Automation Revision Agent
Remove an agent from a draft revision (forward-only removal). Any queue routing to the agent in the draft is unrouted as part of the same change. Live and historic revisions are immutable.
DELETE
/
v2
/
automations
/
{automation_id}
/
revisions
/
{revision_id}
/
agents
/
{agent_id}
Remove Automation Revision Agent
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Automation ID
Revision ID
Agent ID
Was this page helpful?